# pandas.RangeIndex

class `pandas.``RangeIndex`

  Immutable Index implementing a monotonic integer range.

  RangeIndex is a memory-saving special case of Int64Index limited to representing monotonic ranges. Using RangeIndex may in some instances improve computing speed.

  This is the default index type used by DataFrame and Series when no explicit index is provided by the user.

  Parameters:

  start : int (default: 0), or other RangeIndex instance

  > If int and “stop” is not given, interpreted as “stop” instead.

  stop : int (default: 0)

  step : int (default: 1)

  name : object, optional

  > Name to be stored in the index

  copy : bool, default False

  > Unused, accepted for homogeneity with other index types.

  See also

  `Index`
    The base pandas Index type.
  `Int64Index`
    Index of int64 data.

  Attributes

  start |
  stop |
  step |

  Methods

  `from_range`(data[, name, dtype]) | Create RangeIndex from a range object.

Scroll To Top